import numpy as np

def spars(Rate):
    N = int(np.floor(len(Rate)))
    h_av = 0
    h2_av = 0
    for neuron in range(N):
        h_av += Rate[neuron] / N
        h2_av += (Rate[neuron] ** 2) / N
    sparseness = h_av ** 2 / h2_av
    return sparseness
